%define name aqualung
%define version 0.9beta11
%define release %mkrel 1

Summary:	Aqualung is a music player for the GNU/Linux operating system
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://aqualung.sf.net
BuildRequires:	libalsa-devel
BuildRequires:	cairo-devel
BuildRequires:	libflac-devel
BuildRequires:	gtk2-devel >= 2.4
BuildRequires:	gcc-c++
BuildRequires:	libjack-devel >= 0.103
BuildRequires:	ladspa
BuildRequires:	libcddb-devel >= 1.2.1
BuildRequires:	libcdio-devel
BuildRequires:	libffmpeg-devel
BuildRequires:	libid3tag-devel
BuildRequires:	liblrdf-devel >= 0.4
BuildRequires:	libogg-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	libmodplug-devel
BuildRequires:	liboggz-devel >= 0.9.5
BuildRequires:	libsamplerate-devel >= 0.1.2
BuildRequires:	libsndfile-devel >= 1.0.12
BuildRequires:	libusb-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel
BuildRequires:	mad-devel
BuildRequires:	pkgconfig
BuildRequires:	raptor-devel >= 1.4.4
BuildRequires:	speex-devel
BuildRequires:  desktop-file-utils
BuildRequires:	libwavpack-devel
BuildRequires:	zlib-devel
Requires: alsa
Requires: cairo
Requires: flac
Requires: gtk2 >= 2.4
Requires: jackit >= 0.103
Requires: ladspa
Requires: raptor >= 1.4.4
Requires: gstreamer0.10-speex
Requires: soundtouch >= 1.3.1
Requires: taglib >= 1.4
Requires: wavpack
Requires: zlib
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes:  	%name < %version


%description
Aqualung is a music player for the GNU/Linux operating system.
It plays audio files from your filesystem and has the feature of
inserting no gaps between adjacent tracks. It also supports high
quality sample rate conversion between the file and the output
device, when necessary.
The program can play the music through OSS, ALSA or the JACK Audio
Connection Kit.
Aqualung supports the LADSPA 1.1 plugin standard. You can use any
suitable plugin to enhance the music you are listening to.
You can control any running instance of the program remotely from the
command line (start, stop, pause etc.). Remote loading or enqueueing
soundfiles as well as complete playlists is also supported.

%prep
%setup -q -n %{name}-%{version}
./autogen.sh

%build
%configure2_5x \
	--prefix=/usr \
	--with-alsa=yes \
	--with-cdda=yes \
	--with-cddb=yes \
	--with-flac=yes \
	--with-id3=yes \
	--with-ifp=no \
	--with-jack=yes \
	--with-ladspa=yes \
	--with-lame=yes \
	--with-lavc=yes \
	--with-loop=yes \
	--with-mac=no \
	--with-metadata=yes \
	--with-metaedit=yes \
	--with-mpc=yes \
	--with-mpeg=yes \
	--with-mpegstatrec=yes \
	--with-mod=yes \
	--with-ogg=yes \
	--with-oss=yes \
	--with-sndfile=yes \
	--with-speex=yes \
	--with-src=yes \
	--with-systray=yes \
	--with-vorbisenc=yes \
	--with-wavpack=yes

%make

%install
%makeinstall

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 src/img/icon_48.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu-entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Comment=Aqualung is a music player for the GNU/Linux operating system
Terminal=false
Exec=%{name} -o alsa
Icon=%{name}
Name=Aqualung
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Player;Jukebox;
EOF

%find_lang %{name}

%post 
%{update_desktop_database}
%{update_menus}

%postun 
%{clean_desktop_database}
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Feb 02 2010 slick50 <lxgator@gmail.com> 0.9beta11-1pclos2010
- 0.9beta11

* Tue Dec 02 2009 Texstar <texstar at gmail.com> 0.9beta10-3pclos2010
- rebuild

* Sat Nov 20 2009 Texstar <texstar at gmail.com> 0.9beta10-2pclos2010
- remove obsolete dependency

* Sat Jun 06 2009 Texstar <texstar@gmail.com> 0.9beta10-1plcos2009
- 0.9beta10

* Sun Aug 10 2008 Slick50 <slick50@linuxgator.org> 0.9beta9.1-1pclos2007
- import to PCLinuxOS
